%define language pt-BR
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Brazilian Portuguese
%define name mozilla-thunderbird-pt_BR
%define version 1.0.6
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define thunderbird_version %version
%define mozillalibdir %{_libdir}/mozilla-thunderbird-%{thunderbird_version}
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{thunderbird_version}/linux-i686/xpi

Summary: %{langname} interface for Thunderbird
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{xpidir}/%language.xpi
License: GPL
Group: Networking/Mail
Url: http://www.mozilla.org/products/thunderbird/
BuildRoot: %{_buildroot}
BuildRequires: mozilla-thunderbird
Requires(pre): mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale}

%description
%{langname} localisation for Thunderbird

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# MySpell files
#mkdir -p %buildroot%{mozillalibdir}/components/myspell/
#cp components/myspell/it.aff %buildroot%{mozillalibdir}/components/myspell/%language.aff
#cp components/myspell/it.dic %buildroot%{mozillalibdir}/components/myspell/%language.dic
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/chrome/
cp chrome/%language-mail.jar %buildroot%{mozillalibdir}/chrome/%language.jar
# installed-chrome.txt addition
mkdir -p %buildroot%{mozillalibdir}/chrome/lang/
cat << EOF > %buildroot%{mozillalibdir}/chrome/lang/lang-%name.txt
locale,install,url,jar:resource:/chrome/embed-sample.jar!/locale/%language/embed/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/communicator/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/communicator-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/editor/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/messenger/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/messenger-mapi/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/messenger-mdn/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/messenger-newsblog/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/messenger-offline/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/messenger-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/messenger-smime/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/mozapps/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/mozldap/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/navigator/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/navigator-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/necko/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/passwordmgr/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/pippki/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/pipnss/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/communicator/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/communicator-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/editor/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/global/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/messenger/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/messenger-mapi/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/messenger-mdn/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/messenger-newsblog/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/messenger-offline/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/messenger-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/messenger-smime/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/mozapps/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/mozldap/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/navigator/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/navigator-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/necko/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/passwordmgr/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/pippki/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/pipnss/
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root)
%{mozillalibdir}/chrome/*.jar
%{mozillalibdir}/chrome/lang/*.txt
#%{mozillalibdir}/components/myspell/*

%post -p %{mozillalibdir}/mozilla-rebuild-databases.pl

%postun -p %{mozillalibdir}/mozilla-rebuild-databases.pl

%changelog
* Thu Aug 18 2005 Leonardo Chiquitto Filho <chiquitto@mandriva.com> 1.0.6-1mdk
- initial package for brazilian portuguese locale based on -fr.
